class Libnet < Formula
  desc "C library for creating IP packets"
  homepage "https://github.com/libnet/libnet"
  url "https://github.com/libnet/libnet/releases/download/v1.3/libnet-1.3.tar.gz"
  sha256 "ad1e2dd9b500c58ee462acd839d0a0ea9a2b9248a1287840bc601e774fb6b28f"
  license "BSD-2-Clause"

  depends_on "doxygen" => :build
  depends_on "pkg-config" => :test

  def install
    system "./configure", *std_configure_args
    system "make", "install"
  end

  test do
    flags = shell_output("pkg-config --libs --cflags libnet").chomp.split
    (testpath/"test.c").write <<~EOS
      #include <stdio.h>
      #include <stdint.h>
      #include <libnet.h>

      int main(int argc, const char *argv[])
      {
        printf("%s", libnet_version());
        return 0;
      }
    EOS

    system ENV.cc, "test.c", *flags, "-o", "test"
    assert_match version.to_s, shell_output("./test")
  end
end
